using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查明细问题
    /// </summary>
    [Description("检查明细问题")]
    public class T_BS_SAFE_CHECK_DETAIL_QUESTION : MesEntityBase
    {
        /// <summary>
        /// 安全检查 冗余字段
        /// </summary>
        [Description("安全检查")]
        [DataFieldForeignKey("Nav_SafeCheck")]
        public Guid SAFE_CHECK_ID { get; set; }

        /// <summary>
        /// 导航：安全检查
        /// </summary>
        [Description("导航：安全检查")]
        public virtual T_BS_SAFE_CHECK Nav_SafeCheck { get; set; }

        /// <summary>
        /// 检查明细
        /// </summary>
        [Description("检查明细")]
        [DataFieldForeignKey("Nav_SafeCheckDetail", "Nav_ListCheckDetailQuestion")]
        public Guid SAFE_CHECK_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：检查明细
        /// </summary>
        [Description("导航：检查明细")]
        public virtual T_BS_SAFE_CHECK_DETAIL Nav_SafeCheckDetail { get; set; }


        /// <summary>
        /// 问题描述
        /// </summary>
        [Description("问题描述")]
        [DataFieldForeignKey("Nav_Question")]
        public Guid? SAFE_CHECK_QUESTION_ID { get; set; }

        /// <summary>
        /// 问题描述
        /// </summary>
        [Description("问题描述")]
        public virtual T_BS_CHECK_QUESTION Nav_Question { get; set; }
    }
}